Skip to main content
GET
List pipeline runs of an application

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string<uuid>
required

The application whose connected repository's pipeline is addressed.

Query Parameters

limit
integer
default:50

Page size.

Required range: 1 <= x <= 100
cursor
string

The next_cursor of the previous page.

status
enum<string>

Only runs in this status.

Available options:
queued,
running,
concluded
trigger
string

Only runs with this trigger (push, pull_request, tag, schedule, manual, api, agent, rerun, merge_train).

branch
string

Only runs on this branch.

head_sha
string

Only runs of this full 40-character commit SHA.

requested_by
string

Only runs requested by this actor.

Maximum string length: 300

Response

One page of runs.

One page of a repository's pipeline runs, newest first.

runs
object[]
required
next_cursor
string | null
required

Pass as cursor for the next page; null on the last page.